
// Face:  face with draw, moveRight, and act functionality

import java.awt.*;

public class Face extends Shape
{
   private int size;
   
   public Face( int x, int y, int s )
   {
	  super( x, y );
	  size = s;
   }

   public void act()
   {
      size += 2;
   }

   public void draw( Graphics g )
   {
      g.drawOval( xpos, ypos, size, size );
      g.drawLine( xpos + 5, ypos + size - 5, xpos + size - 5, ypos + size - 5 );
   }
}
