
// ShapeFrame: contains a ShapeCanvas object and buttons that, when clicked, update that object

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class ShapeFrame extends JFrame implements ActionListener
{
   private JButton move;
   private JButton act;
   private ShapeCanvas myCanvas;

   public ShapeFrame()
   {
      move = new JButton( "Move" );
      act = new JButton( "Act" );
      myCanvas = new ShapeCanvas();
      Container c = getContentPane();
      c.setLayout( new FlowLayout() );
      c.add( move );
      c.add( act );
      c.add( myCanvas );
      move.addActionListener( this );
      act.addActionListener( this );
   }

   public void actionPerformed( ActionEvent ae )
   {
      if ( ae.getSource() == move )
      {
         myCanvas.moveRight();
      }
      else if ( ae.getSource() == act )
      {
         myCanvas.act();
      }
   }
}
